> ## Documentation Index
> Fetch the complete documentation index at: https://api.docs.flare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Entity Relations



## OpenAPI

````yaml firework-v4-openapi get /firework/v4/entities/{id}/relations
openapi: 3.1.0
info:
  title: Firework API
  version: v4
servers:
  - url: https://api.flare.io
security:
  - BearerAuth: []
paths:
  /firework/v4/entities/{id}/relations:
    get:
      tags:
        - public
        - team=data-intelligence
      summary: List Entity Relations
      operationId: list_entity_relations_entities__id__relations_get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Id
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            default: 10
            title: Size
        - name: from_
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: 'From '
        - name: entity_types
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  $ref: '#/components/schemas/EntityType'
                type: array
              - type: 'null'
            title: Entity Types
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResults_CTIEntityRelationshipResponse_str_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    EntityType:
      type: string
      enum:
        - attack_pattern
        - actor
        - campaign
        - chat_channel
        - external_report
        - forum_thread
        - identity
        - indicator
        - infrastructure
        - domain
        - location
        - malware
        - organization
        - threat_actor
        - threat_actor_group
        - tool
        - vulnerability
      title: EntityType
    PaginatedResults_CTIEntityRelationshipResponse_str_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/CTIEntityRelationshipResponse'
          type: array
          title: Items
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
      type: object
      required:
        - items
        - next
      title: PaginatedResults[CTIEntityRelationshipResponse, str]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CTIEntityRelationshipResponse:
      properties:
        source_entity:
          $ref: '#/components/schemas/EntityData'
        target_entity:
          $ref: '#/components/schemas/EntityData'
        relation_type:
          $ref: '#/components/schemas/AssetRelationType'
        sources:
          items:
            $ref: '#/components/schemas/CTIEntitySourceAPIResponse'
          type: array
          title: Sources
        modified_at:
          type: string
          format: date-time
          title: Modified At
        valid_from:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Valid From
        valid_until:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Valid Until
      type: object
      required:
        - source_entity
        - target_entity
        - relation_type
        - sources
        - modified_at
      title: CTIEntityRelationshipResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    EntityData:
      properties:
        id:
          type: string
          title: Id
        entity_type:
          $ref: '#/components/schemas/CTIEntityType'
        name:
          type: string
          title: Name
        confidence:
          type: integer
          title: Confidence
      type: object
      required:
        - id
        - entity_type
        - name
        - confidence
      title: EntityData
    AssetRelationType:
      type: string
      enum:
        - analysis_of
        - attributed_to
        - authored_by
        - based_on
        - beacons_to
        - characterizes
        - commits_with
        - communicates_with
        - compromises
        - consists_of
        - contributed_to
        - controls
        - delivers
        - downloads
        - drops
        - dynamic_analysis_of
        - exfiltrate_to
        - exploits
        - found_from
        - has
        - has_account_on
        - has_favicon
        - has_screenshot
        - hosts
        - impersonates
        - indicates
        - investigates
        - links_to_azure_tenant
        - located_at
        - looks_like
        - mentioned_in
        - mitigates
        - originates_from
        - owns
        - related_to
        - resolves_to
        - static_analysis_of
        - subdomain_of
        - targets
        - uses
        - variant_of
      title: AssetRelationType
    CTIEntitySourceAPIResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        confidence:
          anyOf:
            - type: integer
            - type: 'null'
          title: Confidence
      type: object
      required:
        - id
      title: CTIEntitySourceAPIResponse
    CTIEntityType:
      type: string
      enum:
        - actor
        - attack_pattern
        - campaign
        - chat_channel
        - external_report
        - forum_thread
        - indicator
        - infrastructure
        - location
        - malware
        - threat_actor
        - threat_actor_group
        - tool
        - vulnerability
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````